Package ru.bitel.bgbilling.plugins.sbpilot.server.bean

# Class SBPilotTerminalManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.sbpilot.server.bean.SBPilotTerminalManager

public class SBPilotTerminalManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Класс, предоставляющий доступ к информации о терминалах (из конфига), парсящий её, управляющий "авторизацией" и т.д. Для remote-режима.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getCurrentTerminalId()`
  Номер залогиненного терминала.
  `static SBPilotTerminalManager`
  `getInstance()`
  `SBPilotTerminal`
  `getTerminal(int terminalId)`
  Возвращает указанный по номеру терминал.
  `Collection<SBPilotTerminal>`
  `getTerminals()`
  `void`
  `resetCache()`
  `void`
  `setCurrentTerminal(int terminalId)`
  Запись в сессию ИД терминала, который пользователь выбрал для использования.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SBPilotTerminalManager getInstance()

  - ### getTerminals

    public Collection<SBPilotTerminal> getTerminals()

  - ### getTerminal

    public SBPilotTerminal getTerminal(int terminalId) throws ru.bitel.bgbilling.common.BGException
    Возвращает указанный по номеру терминал.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setCurrentTerminal

    public void setCurrentTerminal(int terminalId)
    Запись в сессию ИД терминала, который пользователь выбрал для использования. Передаём 0 - это значит мы разлогиниваемся.
    Parameters:
      `terminalId` - номер терминала в плагине.

  - ### getCurrentTerminalId

    public static int getCurrentTerminalId()
    Номер залогиненного терминала.
    Returns:
      номер терминала, или 0 если не выбран терминал.

  - ### resetCache

    public void resetCache()